---
title: AudioTrack.id
slug: Web/API/AudioTrack/id
tags:
  - API
  - Audio
  - Audio Track
  - AudioTrack
  - HTML DOM
  - Interface
  - Media
  - Property
  - Read-only
  - Reference
  - id
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <code><strong>id</strong></code> property contains a string which uniquely identifies the track represented by the <strong>{{domxref("AudioTrack")}}</strong>.</span> This ID can be used with the {{domxref("AudioTrackList.getTrackById()")}} method to locate a specific track within the media associated with a media element.</p>

<p>The track ID can also be used as the fragment of a URL that loads the specific track (if the media supports media fragments).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackID</em> = <em>AudioTrack</em>.id;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which identifies the track, suitable for use when calling {{domxref("AudioTrackList.getTrackById", "getTrackById()")}} on an {{domxref("AudioTrackList")}} such as the one specified by a media element's {{domxref("HTMLMediaElement.audioTracks", "audioTracks")}} property.</p>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#dom-audiotrack-id', 'AudioTrack.id')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#dom-audiotrack-id', 'AudioTrack.id')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrack.id")}}</p>

